Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 158704 - sci-mathematics/JavaNNS ebuild request
Summary: sci-mathematics/JavaNNS ebuild request
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Default Assignee for New Packages
URL: http://www-ra.informatik.uni-tuebinge...
Whiteboard: sunrise-removal
Keywords: EBUILD, InOverlay, REVIEWED
Depends on:
Blocks:
 
Reported: 2006-12-20 22:37 UTC by Alain DIDIERJEAN
Modified: 2016-06-08 16:47 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
New ebuild for JavaNNS (javanns-1.1.ebuild,1018 bytes, text/plain)
2006-12-23 10:44 UTC, N. Dan Smith
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alain DIDIERJEAN 2006-12-20 22:37:25 UTC
The Stuttgart Neural Network Simulator is obsolete and replaced by JavaNNS (same ol'software, brand new java interface, much more user friendly) since Feb 2005 !
Tested for about a year on my dual amd-64 box. Works fine. All it needs is a new ebuild (No, sorry, I don't feel like being able doing it myself). Great tool!!
Comment 1 N. Dan Smith 2006-12-23 10:44:37 UTC
Created attachment 104647 [details]
New ebuild for JavaNNS

Added to the Sunrise overlay.
Comment 2 Andreas K. Hüttel archtester gentoo-dev 2010-06-30 18:00:12 UTC
No new releases since 2007
Comment 3 Patrice Clement gentoo-dev 2015-10-23 15:40:47 UTC
@sci-mathematics, do whatever you want with this package but if it's over 5 years old, there's no point in packaging it.

@sunrise, you might want to clean this up from the sunrise overlay at some point I guess.

taking @java off cc.
Comment 4 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2016-06-08 16:47:40 UTC
Hello, everyone.

It seems that at least one ebuild related to this bug exists in the Sunrise overlay at the moment. However, I have to regretfully announce that after a long inactivity period the Sunrise project has been discontinued and the related overlay will be eventually removed. For this reason, I'd like to ask you to reevaluate the ebuilds and consider moving them. If you'd like to maintain a package from Sunrise in Gentoo, please take a look at our Proxy Maintainers [1] project.

Please make sure to take ebuilds from the unreviewed developer Sunrise repository [2] rather than the -reviewed one, since the latter has not been updated for over a year. While at it, please note that:

1. Adding a package to Gentoo requires declaring yourself as an active maintainer for it. All bugs regarding the package will be assigned to you, and you will be expected to maintain it.

2. Some packages may not be suitable for addition anymore. While there's no strong rules that would prevent you from adding a package, it may be a bad idea to add old-unmaintained packages that will shortly result in a large number of bugs reported with no solution. If that is the case, please close the bug as RESOLVED/OBSOLETE to make it easier to find packages worth adding.

3. Some of the bugs were already closed as WONTFIX/OBSOLETE/... while the relevant ebuild was kept in Sunrise. If you disagree with the original decision, you still can add the ebuild via proxy-maint.

4. Pleaes note that many of the Sunrise ebuilds are old and may be buggy. If you decide to move them, please make sure to update/clean them up. The proxy-maint team will also review your ebuilds, therefore making sure they land in Gentoo in good quality.

Once again, thank you for your contribution. We hope that you will still want to contribute to Gentoo, through proxy-maint or otherwise.


[1]:https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers
[2]:https://gitweb.gentoo.org/proj/sunrise.git/